/*
 * notedefs.h
 */

/*
 * yank  -  yet another NoteKeeper
 * Copyright (C) 1999 Michael Humann <m.hussmann@home.ins.de>
 *
 * This program is free software; you  can redistribute it and/or modify it
 * under the terms of  the GNU General  Public License as published  by the
 * Free Software Foundation;  either version 2 of  the License, or (at your
 * option) any later version.
 *
 * This program  is  distributed in the  hope  that it will  be useful, but
 * WITHOUT  ANY   WARRANTY;  without   even   the  implied    warranty   of
 * MERCHANTABILITY or    FITNESS FOR A PARTICULAR   PURPOSE.   See  the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write to the  Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef YANK_NOTEDEFS_H
#define YANK_NOTEDEFS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif   /* HAVE_CONFIG_H */

typedef enum
{
    None,
    TextNote,
    CheckNote,
    TodoNote
} _notetype;

typedef enum
{
    NoMode,
    Add,
    Edit,
    Delete
} _editmode;

struct _note_data
{
    _notetype notetype;
    gchar     *title;
    glong     date;      /* number of days since 1.1.1970 */
    gint      prio;
    gint      todo;      /* 1 == done */
    gchar     *text;
};

typedef struct _note_data note_data;

struct _yank_preferences
{
    gint  auto_save_on_exit;
    gint  auto_save_preferences;
    gint  save_compression;
    gint  wordwrap;
    gint  linewrap;
    gchar *yank_crash_file;
    gchar *yank_def_file;
    gchar *print_command;
    /* unused so far */
/*     gint  show_toolbar; */
/*     gint  yank_width; */
/*     gint  yank_height; */
/*     gint  note_tree_width; */
};

typedef struct _yank_preferences yank_preferences;


#endif  /* YANK_NOTEDEFS_H */

